<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFParagraphBulletProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFParagraphBulletProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFParagraphBulletProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFNormalAutoFit.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFParagraphBulletProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel.text</div>
    <h2 title="Class XDDFParagraphBulletProperties" class="title">Class XDDFParagraphBulletProperties</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.text.XDDFParagraphBulletProperties</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Beta.html"
                        title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XDDFParagraphBulletProperties</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html#XDDFParagraphBulletProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties-">XDDFParagraphBulletProperties</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html#clearAll--">clearAll</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html#getBulletColor--">getBulletColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFFont.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFFont</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html#getBulletFont--">getBulletFont</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletSize.html"
                                        title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletSize</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html#getBulletSize--">getBulletSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletStyle.html"
                                        title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletStyle</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html#getBulletStyle--">getBulletStyle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html#setBulletColor-org.apache.poi.xddf.usermodel.XDDFColor-">setBulletColor</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFColor</a>&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html#setBulletColorFollowText--">setBulletColorFollowText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html#setBulletFont-org.apache.poi.xddf.usermodel.text.XDDFFont-">setBulletFont</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFFont.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFFont</a>&nbsp;font)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html#setBulletFontFollowText--">setBulletFontFollowText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html#setBulletSize-org.apache.poi.xddf.usermodel.text.XDDFBulletSize-">setBulletSize</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletSize.html"
                                        title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletSize</a>&nbsp;size)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html#setBulletStyle-org.apache.poi.xddf.usermodel.text.XDDFBulletStyle-">setBulletStyle</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletStyle.html"
                                        title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletStyle</a>&nbsp;style)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFParagraphBulletProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFParagraphBulletProperties</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
protected&nbsp;XDDFParagraphBulletProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties&nbsp;properties)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getBulletStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletStyle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletStyle.html"
                                        title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletStyle</a>&nbsp;getBulletStyle()</pre>
                            </li>
                        </ul>
                        <a name="setBulletStyle-org.apache.poi.xddf.usermodel.text.XDDFBulletStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBulletStyle</h4>
                                <pre>public&nbsp;void&nbsp;setBulletStyle(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletStyle.html"
                                        title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletStyle</a>&nbsp;style)</pre>
                            </li>
                        </ul>
                        <a name="getBulletColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletColor</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFColor</a>&nbsp;getBulletColor()</pre>
                            </li>
                        </ul>
                        <a name="setBulletColor-org.apache.poi.xddf.usermodel.XDDFColor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBulletColor</h4>
                                <pre>public&nbsp;void&nbsp;setBulletColor(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/XDDFColor.html"
                                        title="class in org.apache.poi.xddf.usermodel">XDDFColor</a>&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="setBulletColorFollowText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBulletColorFollowText</h4>
                                <pre>public&nbsp;void&nbsp;setBulletColorFollowText()</pre>
                            </li>
                        </ul>
                        <a name="getBulletFont--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletFont</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFFont.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFFont</a>&nbsp;getBulletFont()</pre>
                            </li>
                        </ul>
                        <a name="setBulletFont-org.apache.poi.xddf.usermodel.text.XDDFFont-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBulletFont</h4>
                                <pre>public&nbsp;void&nbsp;setBulletFont(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFFont.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFFont</a>&nbsp;font)</pre>
                            </li>
                        </ul>
                        <a name="setBulletFontFollowText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBulletFontFollowText</h4>
                                <pre>public&nbsp;void&nbsp;setBulletFontFollowText()</pre>
                            </li>
                        </ul>
                        <a name="getBulletSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletSize</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletSize.html"
                                        title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletSize</a>&nbsp;getBulletSize()</pre>
                            </li>
                        </ul>
                        <a name="setBulletSize-org.apache.poi.xddf.usermodel.text.XDDFBulletSize-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBulletSize</h4>
                                <pre>public&nbsp;void&nbsp;setBulletSize(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBulletSize.html"
                                        title="interface in org.apache.poi.xddf.usermodel.text">XDDFBulletSize</a>&nbsp;size)</pre>
                            </li>
                        </ul>
                        <a name="clearAll--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>clearAll</h4>
                                <pre>public&nbsp;void&nbsp;clearAll()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFParagraphBulletProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFNormalAutoFit.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/text/XDDFParagraphBulletProperties.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFParagraphBulletProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
